Package org.jfree.layouting.modules.output.pdf

## Class PdfOutputProcessor

- java.lang.Object
- - org.jfree.layouting.output.AbstractOutputProcessor
  - - org.jfree.layouting.output.pageable.AbstractPageableProcessor
    - - org.jfree.layouting.modules.output.pdf.PdfOutputProcessor

- All Implemented Interfaces:
    `OutputProcessor`, `PageableOutputProcessor`

      public class PdfOutputProcessor
      extends AbstractPageableProcessor

  A streaming target, which produces a PDF document.
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from class org.jfree.layouting.output.AbstractOutputProcessor

      `PROCESSING_CONTENT, PROCESSING_GLOBAL_CONTENT, PROCESSING_PAGES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PdfOutputProcessor​(org.pentaho.reporting.libraries.base.config.Configuration configuration, java.io.OutputStream outputStream)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PageFlowSelector` | `getFlowSelector​()` |
    `OutputProcessorMetaData` | `getMetaData​()` |
    `void` | `processDocumentMetaData​(DocumentContext documentContext)` |
    `protected void` | `processingContentFinished​()` |
    `protected void` | `processLogicalPage​(LogicalPageKey key, LogicalPageBox logicalPage)` |
    `protected void` | `processPhysicalPage​(PageGrid pageGrid, LogicalPageBox logicalPage, int row, int col, PhysicalPageKey pageKey)` |
    `void` | `setFlowSelector​(PageFlowSelector flowSelector)` |

    - ### Methods inherited from class org.jfree.layouting.output.AbstractOutputProcessor

      `createInputFeed, createModelBuilder, createNormalizer, getConfiguration, getDocumentContext, getLogicalPage, getLogicalPageCount, getPageCursor, getProcessingState, isContentGeneratable, isGlobalStateComputed, isPaginationFinished, processContent, processingFinished, processingGlobalContentFinished, setPageCursor`

    - ### Methods inherited from class org.jfree.layouting.output.pageable.AbstractPageableProcessor

      `createLogicalPage, createRenderer, getPhysicalPage, getPhysicalPageCount, getPrototypeBuilder, processingPagesFinished, processPageContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.layouting.output.OutputProcessor

      `createInputFeed, createModelBuilder, createNormalizer, getConfiguration, getLogicalPage, getLogicalPageCount, getPageCursor, isContentGeneratable, isGlobalStateComputed, isPaginationFinished, processContent, processingFinished, setPageCursor`

- - ### Constructor Detail

    - #### PdfOutputProcessor

          public PdfOutputProcessor​(org.pentaho.reporting.libraries.base.config.Configuration configuration,
                                    java.io.OutputStream outputStream)

  - ### Method Detail

    - #### getMetaData

          public OutputProcessorMetaData getMetaData​()

    - #### getFlowSelector

          public PageFlowSelector getFlowSelector​()

      Specified by:
        `getFlowSelector` in class `AbstractPageableProcessor`

    - #### setFlowSelector

          public void setFlowSelector​(PageFlowSelector flowSelector)

    - #### processDocumentMetaData

          public void processDocumentMetaData​(DocumentContext documentContext)

      Specified by:
        `processDocumentMetaData` in interface `OutputProcessor`
      Overrides:
        `processDocumentMetaData` in class `AbstractOutputProcessor`

    - #### processingContentFinished

          protected void processingContentFinished​()

      Overrides:
        `processingContentFinished` in class `AbstractOutputProcessor`

    - #### processPhysicalPage

          protected void processPhysicalPage​(PageGrid pageGrid,
                                             LogicalPageBox logicalPage,
                                             int row,
                                             int col,
                                             PhysicalPageKey pageKey)

      Specified by:
        `processPhysicalPage` in class `AbstractPageableProcessor`

    - #### processLogicalPage

          protected void processLogicalPage​(LogicalPageKey key,
                                            LogicalPageBox logicalPage)

      Specified by:
        `processLogicalPage` in class `AbstractPageableProcessor`